Subject: bug#46384: 28.0.50; 100% cpu in line_number_display_width

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 16 Jun 2022 15:33:52 +0200

Aaron Jensen <[email-masked]> writes:

> When I woke my computer from sleep this morning, Emacs was at 100% cpu
> and stuck there.
>
> Unfortunately, I cannot reproduce this reliably and I wasn't running a
> debug build when it happened so I was only able to get the backtrace. I
> tried very hard to get information from the debugger but with all the
> macros inlined it was a bit beyond me to expand the macros manually.
> Note that my configure flags below are from when I recompiled with -Og,
> rather than the build I actually saw the 100% cpu run on.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you still see this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no